package com.persagy.account.aop;

import java.sql.SQLIntegrityConstraintViolationException;

import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import com.alibaba.excel.exception.ExcelAnalysisException;
import com.persagy.common.aop.GlobalBussinessExceptionHandler;
import com.persagy.common.enums.ResponseCode;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseResultUtil;

import lombok.extern.slf4j.Slf4j;

/**
 * @description 
 * @author zhangqiankun
 * @since 2020年8月26日:	下午5:17:08
 */
@Slf4j
@RestControllerAdvice
public class GlobalExceptionHandler extends GlobalBussinessExceptionHandler {
	
	@ExceptionHandler(ExcelAnalysisException.class)
	public ResponseResult handleExcelAnalysisException(ExcelAnalysisException e) {
		log.error("文件上传数据解析失败", e);
		return ResponseResultUtil.errorResult(ResponseCode.B0001.getCode(), e.getMessage());
	}
	
	@ExceptionHandler(SQLIntegrityConstraintViolationException.class)
	public ResponseResult handleSQLIntegrityConstraintViolationException(SQLIntegrityConstraintViolationException e) {
		log.error("sql语句异常", e);
		return ResponseResultUtil.errorResult(ResponseCode.C0341.getCode(), ResponseCode.C0341.getDesc());
	}

}
