package com.persagy.account.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasArea;

/**
 * 区域信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Mapper
public interface SaasAreaMapper extends BaseMapper<SaasArea> {

	/**
	 * 获取被允许访问的区域信息
	 * 
	 * @param saasArea
	 * @return
	 */
	List<SaasArea> queryAllowSaasAreaList(@Param("accountId") String accountId, @Param("area") SaasArea saasArea);

}
