package com.persagy.account.pojo.dto;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.persagy.common.utils.StringUtil;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 集团签约产品详情
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-05-07 12:02:40
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("saas_group_product_page")
public class SaasGroupProductPage extends Model<SaasGroupProductPage> {
	private static final long serialVersionUID = -4851547634570454698L;

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String contractId; // 页面ID

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String pageId; // 页面ID

	public static class BuilderQueryWrapper {

		private LambdaQueryWrapper<SaasGroupProductPage> queryWrapper = new LambdaQueryWrapper<SaasGroupProductPage>();

		public BuilderQueryWrapper contractIdEq(String contractId) {
			if (StringUtil.isNotBlank(contractId)) {
				queryWrapper.eq(SaasGroupProductPage::getContractId, contractId);
			}
			return this;
		}

		public BuilderQueryWrapper pageIdEq(String pageId) {
			if (StringUtil.isNotBlank(pageId)) {
				queryWrapper.eq(SaasGroupProductPage::getPageId, pageId);
			}
			return this;
		}

		public LambdaQueryWrapper<SaasGroupProductPage> builder() {
			return queryWrapper;
		}

	}

	public static class BuilderUpdateWrapper {

		private LambdaUpdateWrapper<SaasGroupProductPage> updateWrapper = new LambdaUpdateWrapper<SaasGroupProductPage>();

		public BuilderUpdateWrapper contractIdEq(String contractId) {
			if (StringUtil.isNotBlank(contractId)) {
				updateWrapper.eq(SaasGroupProductPage::getContractId, contractId);
			}
			return this;
		}

		public BuilderUpdateWrapper pageIdEq(String pageId) {
			if (StringUtil.isNotBlank(pageId)) {
				updateWrapper.eq(SaasGroupProductPage::getPageId, pageId);
			}
			return this;
		}

		public LambdaUpdateWrapper<SaasGroupProductPage> builder() {
			return updateWrapper;
		}

	}
}
