package com.persagy.account.pojo.vo.function;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 菜单信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ToString
@ApiModel
public class SaasFunctionQueryVO extends BaseUserModel {

	@ApiModelProperty(value = "集团编码，作为SQL条件", example = "RC")
	private String groupCode; 	// 所属集团编码
	
	@ApiModelProperty(value = "角色ID", example = "123")
	private String roleId; // 角色ID
	
	@ApiModelProperty(value = "菜单ID", example = "123")
	private String menuId; // 菜单ID
	
	@ApiModelProperty(value = "页面ID", example = "123")
	private String pageId; // 页面ID
	
	@ApiModelProperty(value = "功能编码", example = "456")
	private String funCode; // 功能编码

	@ApiModelProperty(value = "功能名称", example = "测试功能名称")
	private String funName; // 功能名称
	
	@ApiModelProperty(value = "最后一次操作者ID", example = "123")
	private String updateUser; // 最后一次操作者ID

}
