package com.persagy.account.pojo.vo.project;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 项目信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProjectPageVO extends SaasProjectQueryVO {

	@Min(value = 1, message = "分页页码，不可低于1")
	@NotNull(message = "分页页码，不可为空")
	@ApiModelProperty(value = "分页页码", example = "1", required = true)
	private Integer page;

	@Min(value = 1, message = "分页大小，不可低于1")
	@NotNull(message = "分页大小，不可为空")
	@ApiModelProperty(value = "分页大小", example = "10", required = true)
	private Integer size;

}
