package com.persagy.account.service;

import java.util.List;

import com.persagy.common.service.ISuperService;
import com.persagy.account.pojo.dto.SaasGroup;

/**
 * 集团信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
public interface ISaasGroupService extends ISuperService<SaasGroup> {

	/**
	 * 获取集团信息
	 * @param groupCode
	 * @return
	 */
	SaasGroup getOne(String groupCode);
	
	/**
	 * 分别验证集团编码与集团名称的唯一性
	 * 
	 * @param groupCode
	 * @param groupName
	 * @param isUpdate 是否是更新时调用的，true-是
	 * @return true-唯一，及数据库不存在（更新时，将会验证groupName是否属于此groupCode，属于-true）；false-不唯一
	 */
	boolean validGroupCodeOrName(String groupCode, String groupName, boolean isUpdate);
	
	/**
	 * 查询集团信息列表，表关联查询(权限控制)
	 * @param saasGroup
	 * @param accountId 
	 * @return
	 */
	List<SaasGroup> queryAllowGroupInfo(SaasGroup saasGroup, String accountId);

	/**
	 * 查询没有项目信息的被选中的集团信息
	 * @param groupCode
	 * @param accountId
	 * @return
	 */
	List<SaasGroup> queryGroupAndEmptyProject(String groupCode, String accountId);
	
}

