package com.persagy.account.service;

import com.persagy.common.service.ISuperService;

import java.util.List;
import java.util.Set;

import com.persagy.account.pojo.dto.SaasProjectProduct;

/**
 * 项目签约产品
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-05-07 12:02:40
 */
public interface ISaasProjectProductService extends ISuperService<SaasProjectProduct> {

	/**
	 * 查询产品项目签约信息，携带出项目名称
	 * @param contractId
	 * @param groupCode
	 * @param projectId
	 * @param productId
	 * @return
	 */
	List<SaasProjectProduct> querySaasProjectProductList(String contractId, String groupCode, String projectId, String productId);

	/**
	 * 替换该产品集团下的签约项目，删除新增
	 * 
	 * @param contractId
	 * @param groupCode
	 * @param productId
	 * @param projectIds
	 * @return
	 */
	boolean replaceSaasProjectProduct(String contractId, String groupCode, String productId, Set<String> projectIds);

}

