package com.persagy.sso.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseResultUtil;
import com.persagy.sso.pojo.dto.DeptReflex;
import com.persagy.sso.pojo.dto.DeptReflex.Builder;
import com.persagy.sso.service.IDeptReflexService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-15 21:48:53
 */

@Api(tags = "部门映射关系,未使用")
@RestController
@RequestMapping(value = "/deptReflex", method = RequestMethod.POST)
public class DeptReflexController {
    @Autowired
    private IDeptReflexService deptReflexService;

    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryDeptReflexList")
    public ResponseResult queryDeptReflexList(@RequestBody DeptReflex deptReflex) {
    	Builder builder = new DeptReflex.Builder().createQueryWrapper();
    	LambdaQueryWrapper<DeptReflex> queryWrapper = builder.builderQueryWrapper();
    	List<DeptReflex> list = this.deptReflexService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseResultUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseResultUtil.successResult(list, (long)list.size());
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存")
	@RequestMapping(value = "createDeptReflex")
    public ResponseResult createDeptReflex(@RequestBody DeptReflex deptReflex) {
        boolean result = this.deptReflexService.save(deptReflex);
        return result ? ResponseResultUtil.successResult("保存成功") : ResponseResultUtil.errorResult("保存失败");
    }

    /**
     * 更新
     */
	@ApiOperation(value = "更新")
	@RequestMapping(value = "updateDeptReflex")
    public ResponseResult updateDeptReflex(@RequestBody DeptReflex deptReflex) {
        boolean result = this.deptReflexService.updateById(deptReflex);
        return result ? ResponseResultUtil.successResult("更新成功") : ResponseResultUtil.errorResult("更新失败");
    }

    /**
     * 物理删除
     */
    @ApiOperation(value = "删除")
    @RequestMapping(value = "deleteDeptReflex")
    public ResponseResult deleteDeptReflex(@RequestBody DeptReflex deptReflex) {
        boolean result = this.deptReflexService.removeById(deptReflex.getId());
        return result ? ResponseResultUtil.successResult("删除成功") : ResponseResultUtil.errorResult("删除失败");
    }
    
}
