package com.persagy.sso.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseResultUtil;
import com.persagy.sso.pojo.dto.WdAccount;
import com.persagy.sso.pojo.dto.WdAccount.Builder;
import com.persagy.sso.service.IWdAccountService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-29 11:30:51
 */

@Api(tags = "万达账号映射信息")
@RestController
@RequestMapping(value = "/wdAccount", method = RequestMethod.POST)
public class WdAccountController {
    @Autowired
    private IWdAccountService wdAccountService;

    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryWdAccountList")
    public ResponseResult queryWdAccountList(@RequestBody WdAccount wdAccount) {
    	Builder builder = new WdAccount.Builder().createQueryWrapper();
    	LambdaQueryWrapper<WdAccount> queryWrapper = builder.builderQueryWrapper();
    	List<WdAccount> list = this.wdAccountService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseResultUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseResultUtil.successResult(list, (long)list.size());
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存")
	@RequestMapping(value = "createWdAccount")
    public ResponseResult createWdAccount(@RequestBody WdAccount wdAccount) {
        boolean result = this.wdAccountService.save(wdAccount);
        return result ? ResponseResultUtil.successResult("保存成功") : ResponseResultUtil.errorResult("保存失败");
    }

    /**
     * 更新
     */
	@ApiOperation(value = "更新")
	@RequestMapping(value = "updateWdAccount")
    public ResponseResult updateWdAccount(@RequestBody WdAccount wdAccount) {
        boolean result = this.wdAccountService.updateById(wdAccount);
        return result ? ResponseResultUtil.successResult("更新成功") : ResponseResultUtil.errorResult("更新失败");
    }

    /**
     * 物理删除
     */
    @ApiOperation(value = "删除")
    @RequestMapping(value = "deleteWdAccount")
    public ResponseResult deleteWdAccount(@RequestBody WdAccount wdAccount) {
        boolean result = this.wdAccountService.removeById(wdAccount.getId());
        return result ? ResponseResultUtil.successResult("删除成功") : ResponseResultUtil.errorResult("删除失败");
    }
    
}
