package com.persagy.sso.service.impl;

import com.persagy.common.utils.ResponseResult;
import com.persagy.sso.client.FmPersonClient;
import com.persagy.sso.pojo.dto.AddPersonDTO;
import com.persagy.sso.pojo.dto.QueryPersonDTO;
import com.persagy.sso.service.IPersonService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName : PersonService
 * @Author ：xgq
 * @Date ：Created in 2021/4/14 16:38
 * @Description： TODO
 * @Version : 1.0
 */
@Service
@Slf4j
public class PersonService implements IPersonService {


    @Autowired
    private FmPersonClient fmPersonClient;

    /**
     * @Description: 保存人员
     * @Author: xgq
     * @Date: 2021/4/14 16:40
     * @param addPersonDTO :
     * @param token
     * @return: void
     **/
    @Override
    public ResponseResult savePerson(AddPersonDTO addPersonDTO, String token) {
        //feign调用，保存人员信息
        return fmPersonClient.savePerson(addPersonDTO,token);
    }

    /**
     * @Description: 更新人员
     * @Author: xgq
     * @Date: 2021/4/15 2:04
     * @param addPersonDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    @Override
    public ResponseResult updatePerson(AddPersonDTO addPersonDTO, String token) {
        return fmPersonClient.updatePerson(addPersonDTO,token);
    }

    /**
     * @Description: 根据条件查询人员
     * @Author: xgq
     * @Date: 2021/4/16 12:06
     * @param personDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    @Override
    public ResponseResult queryPersonByCondition(QueryPersonDTO personDTO, String token) {
        return fmPersonClient.queryPersonByCondition(personDTO,token);
    }
}
